/*************[start global system]******************/

/*
--- 01 TYPOGRAPHY SYSTEM

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700


--- 07 redSPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
    list-style: none;
    /* word-wrap: break-word; */
}

html {
    /* font-size: 10px; */
    /* 10px / 16px = 0.625 = 62.5% */
    /* Percentage of user's browser font-size setting */
    font-size: 62.5%;
}

body {
    line-height: 1.6;
    font-weight: 500;
    font-size: 14px;
    color: var(--font-dark);
    /* background: ; */
    overflow-x: hidden;
    transition: 0.3s all ease;
    margin: 0 auto;
    position: relative;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    line-height: 1.6;
    padding: 0;
    color: var(--font-dark);
}

p {
    color: var(--p-color);
    font-size: 14px;
    font-weight: 500;
    line-height: 1.6;
    margin: 0;
}

img {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: bottom;
}

ul {
    margin: 0;
}

span,
a,
a:hover {
    display: inline-block;
    text-decoration: none;
    color: inherit;
}

.section-padding {
    padding: 8rem 0;
}

.ontop {
    position: relative;
    z-index: 4;
}

.position-re {
    position: relative;
}

.bg-img {
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-fixed {
    background-attachment: fixed;
}

.customeSquareLine {
    position: relative;
    z-index: 3;
}

.customeSquareLine::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    background-color: #f5e8be;
    height: 40%;
    z-index: -1;
    transform: translateY(-10%);
}

.underLine {
    width: 80%;
    height: 6px;
    background: #ffc300;
}

.main {
    padding: 0 75px !important;
    /* overflow-x: hidden !important; */
}

/*****************************************
********** start header ******************
*****************************************/

header {
    padding: 7rem 0;
    transition: 0.3s all ease;
    position: relative;
    direction: rtl;
    background: url(../Media/bg_small_2.webp) no-repeat;
    background-size: cover;
    margin-bottom: 0%;
   
}

.dark header {
    margin-bottom: 0px;
    transition: 0.3s all ease;
    position: relative;
    direction: rtl;
    background: url(../Media/dark_bg_pages.webp) no-repeat;
    background-size: cover;
    margin-bottom: 0%;
}

.stats-card {
    background-color: hsl(27.18deg 98.13% 42.02%); /* Default fallback value */
  }
  .dark .stats-card {
    background-color: hsl(0, 0%, 19%);

  }

.skill-card {
    background: hsl(0deg 0% 81.82%);
}

.dark .skill-card {
    background: hsl(0, 0%, 19%);
}
.section-subtitle {
    color: hsl(0, 0%, 3%);

}
.dark .section-subtitle {
    color: hsl(0, 0%, 93%);

}
.skills-toggle ,.section-subtitle::after {
    background: hsl(0deg 0% 62.5%);

}
.dark .skills-toggle ,.dark .section-subtitle::after {
    background: hsl(0, 0%, 19%);

}

.h2 .article-title {
    color: hsl(0, 0%, 14%);
 

}
.dark .h2 .article-title  {
    color: hsl(0, 2%, 90%);
   
}

.article-title::after {

    background: linear-gradient(to right, hsl(17.11deg 100% 41.48%), hsl(24, 97%, 45%));
 

}
.dark .article-title::after {

    background: linear-gradient(to right, hsl(45, 100%, 72%), hsl(35, 100%, 68%));
}


.dark .filter-item button:hover { color: hsla(0, 0%, 84%, 0.7); }

.dark .filter-item button.active { color: hsl(45, 100%, 72%); }

 .filter-item button:hover { color: hsla(0, 0%, 52%, 0.7); }

.filter-item button.active { color: hsl(29, 100%, 31%); }


.filter-item-button{
    color: hsl(0, 0%, 35%); 
}
.dark .filter-item-button{
    color: hsl(0, 0%, 83%); 
}



.swal2-popup {
    font-size: 100% !important; /* Set font size to 100% */
  }
  
  .swal2-title,
  .swal2-content,
  .swal2-actions {
    font-size: 100% !important; /* Set font size for the title, content, and actions */
  }
  
.sidebar,
article {
    margin-bottom: 50px;
  background: hsl(0, 0%, 88%);
  border: 0.5px solid gold;
  border-radius: 20px;
  padding: 15px;
  box-shadow: -4px 8px 24px hsla(0, 0%, 0%, 0.25);;
  z-index: 1;
}
.dark .sidebar,.dark
article {
    margin-bottom: 50px;

    background: hsl(240, 2%, 12%);
    border: 0.5px solid gold;
  border-radius: 20px;
  padding: 15px;
  box-shadow: -4px 8px 24px hsla(0, 0%, 0%, 0.25);;
  z-index: 1;
}

.article-title{
    color: hsl(240, 2%, 12%);

}
.dark .article-title{
    color: hsl(0, 0%, 92%);

}
.content-card{
    color: rgb(3, 3, 3)};



.content-card::before {
    background: linear-gradient(to bottom right, hsl(0deg 0% 39.95% / 25.1%) 0%, hsl(0deg 0% 60.71% / 0%) 100%), hsl(0deg 0% 91.49%);
}
    
.dark .content-card{
    color: gold}


.content-card::before {
    background: linear-gradient(to bottom right, hsl(0deg 0% 39.95% / 25.1%) 0%, hsl(0deg 0% 60.71% / 0%) 100%), hsl(0deg 0% 91.49%);
}
    
    
    
.dark .content-card::before {
    background: linear-gradient(
    to bottom right, 
    hsla(240, 1%, 18%, 0.251) 0%, 
    hsla(240, 2%, 11%, 0) 100%
  ), hsl(240, 2%, 13%);
}


.dark .icon-box::before{
    background: hsl(240, 2%, 13%);

}
.icon-box::before{
    background: hsl(27, 98%, 44%);

}

.icon-box {
    background: linear-gradient(to bottom right, hsl(0deg 0% 59.13%) 0%, hsla(0, 0%, 25%, 0) 50%);
}

.dark .icon-box {
    background: linear-gradient(
        to bottom right,
         hsl(0, 0%, 25%) 0%,
         hsla(0, 0%, 25%, 0) 50%);
}

.timeline-item:not(:last-child)::before {
 
    background: hsl(0, 0%, 71%);;
  }
  .dark .timeline-item:not(:last-child)::before {
 
    background: hsl(0, 0%, 22%);;
}

.bookIcon{
   color: #dedede;
}
.dark .bookIcon{
    color: gold;
 }
 

 .timeline-item::after {
    background: hsl(27deg 100% 66.14%);

 }

 .dark .timeline-item::after {
    background: linear-gradient(
        to right, 
        hsl(45, 100%, 72%), 
        hsl(35, 100%, 68%)
      );
}

.skill-progress-fill {
    background: 
    linear-gradient(to right,
     hsl(29.7deg 100% 33.86%),
      hsl(39.77deg 100% 51.84%)
      );
}
  
  
  
 .dark .skill-progress-fill {
    background: linear-gradient(
      to right, 
      hsl(45, 100%, 72%), 
      hsl(35, 100%, 68%)
    );
  
  }
  


  .certificate-title {
   
    color: #202020;
  }
  .dark .certificate-title {
   
    color: #fff;
  }

  .carousel-indicator.active{
    background-color: rgb(202, 98, 0)

  }

  .dark .carousel-indicator.active{
    background-color: #ffd46c;

  }
 
  .form-input {
    border: 1px solid hsl(0deg 0% 67.01%);
    color: hsl(0, 0%, 4%);
}  .dark .form-input {
    color: hsl(0, 0%, 98%);
    border: 1px solid hsl(0, 0%, 22%);;

}


.form-input:focus { border-color: hsl(101, 100%, 35%);; }


.dark .form-input:focus { border-color: hsl(45, 100%, 72%);}


.footer {
    background: linear-gradient(90deg, #e6e6e6, #f8f8f8);
     padding: 40px 0;  
       color: #626262;
    border-top: 3px solid rgb(255, 145, 2); /* Border added to the top of the footer */
}

.dark .footer {
    background: linear-gradient(90deg, #1c1c1c, #474747);    padding: 40px 0;
    color: #ffffff;
    border-top: 3px solid rgb(255, 213, 2); /* Border added to the top of the footer */
}





.contact-info a{
    color: #4d4d4d;

}

.dark .contact-info a{
    color: #afafaf;

}



  .carousel-indicator {
    width: 12px;
    height: 12px;
    background-color: rgba(138, 135, 135, 0.5);
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.skillsworksContainer {
    width: 100%;
    height: 100%;
    position: relative; /* Ensure that the container is the reference for the pseudo-element */
    overflow: hidden; /* Ensures that the pseudo-element doesn't overflow the container */
}

.skillsworksContainer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: linear-gradient(to bottom right, rgba(114, 114, 114, 1) 0%, rgba(114, 114, 114, 1) 100%);
    background-image: 
        linear-gradient(0deg, transparent 24%, rgba(114, 114, 114, 1) 25%, rgba(114, 114, 114, 1) 26%, transparent 27%, transparent 74%, rgba(114, 114, 114, 1) 75%, rgba(114, 114, 114, 1) 76%, transparent 77%, transparent),
        linear-gradient(90deg, transparent 24%, rgba(114, 114, 114, 1) 25%, rgba(114, 114, 114, 1) 26%, transparent 27%, transparent 74%, rgba(114, 114, 114, 1) 75%, rgba(114, 114, 114, 1) 76%, transparent 77%, transparent);
    background-size: 55px 55px;
    opacity: 0.03; /* Adjust opacity to desired level */
    pointer-events: none; /* Ensures the pseudo-element doesn't interfere with content interaction */
    z-index: 1; /* Place the background overlay below any other content */
}

.skillsworksContainer > * {
    position: relative; /* Ensure that content inside is above the background image */
    z-index: 2;
}

/* Dark mode styles */
.dark .skillsworksContainer::before {
    background-color: linear-gradient(to bottom right, rgba(50, 50, 50, 1) 0%, rgba(50, 50, 50, 1) 100%);
    background-image: 
        linear-gradient(0deg, transparent 24%, rgba(50, 50, 50, 1) 25%, rgba(50, 50, 50, 1) 26%, transparent 27%, transparent 74%, rgba(50, 50, 50, 1) 75%, rgba(50, 50, 50, 1) 76%, transparent 77%, transparent),
        linear-gradient(90deg, transparent 24%, rgba(50, 50, 50, 1) 25%, rgba(50, 50, 50, 1) 26%, transparent 27%, transparent 74%, rgba(50, 50, 50, 1) 75%, rgba(50, 50, 50, 1) 76%, transparent 77%, transparent);
    opacity: 0.1; /* Adjust opacity for dark mode */
}

/* Light mode styles */
.skillsworksContainer::before {
    z-index: 0;

    background-color: linear-gradient(to bottom right, rgba(200, 200, 200, 1) 0%, rgba(200, 200, 200, 1) 100%);
    background-image: radial-gradient(rgba(12, 12, 12, 0.171) 2px, transparent 0);
        opacity: 100%; /* Adjust opacity for light mode */
}



.project-title{
    color: hsl(0deg 0% 0%);
    font-weight: 700;
    font-size: 18px;

}
.dark .project-title{
    color: hsl(0, 0%, 98%);
    font-weight: 700;
    font-size: 18px;
}
.project-category {
    color: hsl(0deg 0% 0%);
    font-size: 14px;
    font-weight: 300;
}
.dark .project-category {
    color: hsla(0, 0%, 84%, 0.7);
    font-size: 14px;
    font-weight: 300;
}

.resume-title{
    color: hsl(0deg 0% 0%);
    font-weight: 700;
    font-size: 18px;
}

.dark .resume-title{
    color: hsl(0, 0%, 98%);
    font-weight: 700;
    font-size: 18px;
}

.hr-edu{
    background-color: hsl(17.11deg 100% 41.48%);


}
.dark .hr-edu{
    background-color:#ffd46c
}

.timeline-text {
    color: #000000;
}
.dark .timeline-text {
    color: hsl(0, 0%, 84%);
}
.timeline-list span{
    color: hsl(17.11deg 100% 41.48%);


}
.dark .timeline-list span{
    color:gold;
}

.webLinks{
    font-weight: 400;
    font-size: 14px;
    color:hsl(17, 97%, 25%);
  }
  .dark .webLinks{
    font-weight: 400;
    font-size: 14px;
    color: #ffc864;
  }



header .row {
    align-items: center;
    margin: 0 auto;
}

.mobileHeroImg {
    display: none;
    max-width: 40rem;
}

.mobileHeroImg .heroToolip {
    top: 12%;
    right: 10%;
}

.heroImg {
    position: relative;
}

.heroImg::after {
    content: "";
    position: absolute;
    top: -2%;
    right: -5%;
    width: 80%;
    height: 100%;
    border: 1px dashed var(--font-light);
    border-radius: 100rem;
}

.firstHeroCircle {
    position: absolute;
    top: -7%;
    left: 100%;
    width: 4rem;
    aspect-ratio: 1/1;
    background: #1b95dc;
    border-radius: 50%;
}

.firstHeroCircle::after {
    content: "";
    position: absolute;
    top: 0;
    left: -0.7rem;
    width: 100%;
    height: 100%;
    border: 1px solid var(--font-dark);
    border-radius: 50%;
}

.secondHeroCircle {
    position: absolute;
    bottom: -7%;
    right: 70%;
    width: 4rem;
    aspect-ratio: 1/1;
    background: #ec7763;
    border-radius: 50%;
}

.secondHeroCircle::after {
    content: "";
    position: absolute;
    top: 0;
    right: -0.7rem;
    width: 100%;
    height: 100%;
    border: 2px solid var(--font-dark);
    border-radius: 50%;
}

.personalContent {
    /* overflow: hidden; */
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
    justify-content: space-between;
    height: 100%;
    gap: 4rem;
}

html[lang="en"] .personalContent {
    direction: ltr;
    /* text-align: start; */
}

.personal {
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.personalSub {
    width: 18rem;
}

html[lang="ar"] .personalSub {
    margin: 0 auto;
}

.sub {
    background: url(../Media/headingSub.svg) no-repeat;
    background-position: center;
    background-size: contain;
}
.HeadJopName{
    font-size: 10px;
 
}
.personalBrnad h1 {
    font-size: 9rem;
    color: var(--font-dark);
    margin: 0rem 0 3rem;
    font-family: ""Cairo"";
    line-height: 1.9;
}

.personalBrnad h1 .subTitle {
    position: relative;
    margin-right: 0.5rem;
}
  .swal2-shown .swal2-height-auto {
    padding-right: 0% !important;
  }
.personalBrnad h1 .subTitle span {
    /*background: linear-gradient(to left, #2effb4 -44%, #4128d8 65%);*/
    /* background: linear-gradient(89.86deg, #4128d8 -50.31%, #2effb4 135.12%); */
    background: linear-gradient(90deg, #8154e2 40%, #ffcd54 160%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    z-index: 99;
}

.personalBrnad h1 .subTitle img {
    position: absolute;
    left: 50%;
    top: 60%;
    transform: translate(-50%, -50%);
    width: 110%;
    object-fit: contain;
    z-index: -1;
}

.personal p {
    margin-bottom: 50px;
    font-size: 2.4rem;
    color: var(--font-light);
    text-align: right;
}

.personal p span {
    color: #f89e4b;
    font-family: "Cairo";
    text-decoration: underline;
}

.headingSubject {
    display: block;
    font-size: 4.2rem;
}

.heroActions {
    margin-top: 4rem;
    display: flex;
    gap: 2rem;
    flex-wrap: wrap;
}

.heroDetails {
    display: flex;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    width: 100%;
    position: relative;
    top: 12rem;
    justify-content: space-between;
}

.heroDetailsItem {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--font-dark);
}

.heroDetailsItem p {
    font-size: 2rem;
    font-weight: 700;
}

.headerIcons .facebook {
    color: #74b9ff;
}

.headerIcons .youtube {
    color: var(--main-color);
}

.headerLeftSide {
    display: flex;
    gap: 3rem;
}

.container {
    max-width: 1620px;
    padding: 0 2rem;
}

.continue-application {
    --color: #fff;
    --background: #4f58e0;
    --background-hover: #2c3399;
    --background-left: #4249ba;
    --folder: #f3e9cb;
    --folder-inner: #beb393;
    --paper: #ffffff;
    --paper-lines: #bbc1e1;
    --paper-behind: #e1e6f9;
    --pencil-cap: #fff;
    --pencil-top: #275efe;
    --pencil-middle: #fff;
    --pencil-bottom: #5c86ff;
    --shadow: rgba(13, 15, 25, 0.2);
    border: none;
    outline: none;
    cursor: pointer;
    position: relative;
    border-radius: 5px;
    font-size: 16px;
    font-weight: 500;
    line-height: 19px;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: transparent;
    padding: 17px 69px 17px 29px;
    transition: background 0.3s;
    color: var(--color);
    background: var(--bg, var(--background));
    border-radius: 4rem;
    overflow: hidden;
    font-family: "Cairo";
}

.continue-application>div {
    top: 0;
    right: 0;
    bottom: 0;
    width: 53px;
    position: absolute;
    overflow: hidden;
    border-radius: 50%;
    background: var(--background-left);
}

.continue-application>div .folder {
    width: 23px;
    height: 27px;
    position: absolute;
    left: 15px;
    top: 13px;
}

.continue-application>div .folder .top {
    left: 0;
    top: 0;
    z-index: 2;
    position: absolute;
    transform: translateX(var(--fx, 0));
    transition: transform 0.4s ease var(--fd, 0.3s);
}

.continue-application>div .folder .top svg {
    width: 24px;
    height: 27px;
    display: block;
    fill: var(--folder);
    transform-origin: 0 50%;
    transition: transform 0.3s ease var(--fds, 0.45s);
    transform: perspective(120px) rotateY(var(--fr, 0deg));
}

.continue-application>div .folder:before,
.continue-application>div .folder:after,
.continue-application>div .folder .paper {
    content: "";
    position: absolute;
    left: var(--l, 0);
    top: var(--t, 0);
    width: var(--w, 100%);
    height: var(--h, 100%);
    border-radius: 1px;
    background: var(--b, var(--folder-inner));
}

.continue-application>div .folder:before {
    box-shadow: 0 1.5px 3px var(--shadow), 0 2.5px 5px var(--shadow), 0 3.5px 7px var(--shadow);
    transform: translateX(var(--fx, 0));
    transition: transform 0.4s ease var(--fd, 0.3s);
}

.continue-application>div .folder:after,
.continue-application>div .folder .paper {
    --l: 1px;
    --t: 1px;
    --w: 21px;
    --h: 25px;
    --b: var(--paper-behind);
}

.continue-application>div .folder:after {
    transform: translate(var(--pbx, 0), var(--pby, 0));
    transition: transform 0.4s ease var(--pbd, 0s);
}

.continue-application>div .folder .paper {
    z-index: 1;
    --b: var(--paper);
}

.continue-application>div .folder .paper:before,
.continue-application>div .folder .paper:after {
    content: "";
    width: var(--wp, 14px);
    height: 2px;
    border-radius: 1px;
    transform: scaleY(0.5);
    left: 3px;
    top: var(--tp, 3px);
    position: absolute;
    background: var(--paper-lines);
    box-shadow: 0 12px 0 0 var(--paper-lines), 0 24px 0 0 var(--paper-lines);
}

.continue-application>div .folder .paper:after {
    --tp: 6px;
    --wp: 10px;
}

.continue-application>div .pencil {
    height: 2px;
    width: 3px;
    border-radius: 1px 1px 0 0;
    top: 8px;
    left: 105%;
    position: absolute;
    z-index: 3;
    transform-origin: 50% 19px;
    background: var(--pencil-cap);
    transform: translateX(var(--pex, 0)) rotate(35deg);
    transition: transform 0.4s ease var(--pbd, 0s);
}

.continue-application>div .pencil:before,
.continue-application>div .pencil:after {
    content: "";
    position: absolute;
    display: block;
    background: var( --b, linear-gradient( var(--pencil-top) 55%, var(--pencil-middle) 55.1%, var(--pencil-middle) 60%, var(--pencil-bottom) 60.1%));
    width: var(--w, 5px);
    height: var(--h, 20px);
    border-radius: var(--br, 2px 2px 0 0);
    top: var(--t, 2px);
    left: var(--l, -1px);
}

.continue-application>div .pencil:before {
    -webkit-clip-path: polygon(0 5%, 5px 5%, 5px 17px, 50% 20px, 0 17px);
    clip-path: polygon(0 5%, 5px 5%, 5px 17px, 50% 20px, 0 17px);
}

.continue-application>div .pencil:after {
    --b: none;
    --w: 3px;
    --h: 6px;
    --br: 0 2px 1px 0;
    --t: 3px;
    --l: 3px;
    border-top: 1px solid var(--pencil-top);
    border-right: 1px solid var(--pencil-top);
}

.continue-application:hover {
    --cx: 2px;
    --bg: var(--background-hover);
    --fx: -40px;
    --fr: -60deg;
    --fd: 0.15s;
    --fds: 0s;
    --pbx: 3px;
    --pby: -3px;
    --pbd: 0.15s;
    --pex: -24px;
}

.headerLeftSide {
    --colorMain: 80;
    --complementarycolors: calc(var(--colorMain) + 180);
    position: relative;
    top: 3rem;
}

.firstBoxParent {
    position: relative;
    top: 12rem;
}

.headerLeftSide svg {
    display: block;
    margin: auto;
}

.secondBoxParent,
.firstBoxParent {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    flex-direction: column;
}

.firstBoxParent .heroImg {
    z-index: 9;
}

.block1,
.block2 {
    stroke-miterlimit: 0;
    stroke-width: 1px;
}

.firstBoxs .block2 {
    display: none;
}

.secondBoxs .block1 {
    display: none;
}

.block1 {
    stroke: hsl(var(--colorMain), 50%, 30%);
}

.block1 rect:nth-child(1) {
    fill: hsl(var(--colorMain), 50%, 45%);
}

.block1 rect:nth-child(2) {
    fill: hsl(var(--colorMain), 50%, 40%);
}

.block1 rect:nth-child(3) {
    fill: hsl(var(--colorMain), 50%, 50%);
}

.block2 rect:nth-child(1) {
    fill: hsl(var(--complementarycolors), 50%, 45%);
}

.block2 rect:nth-child(2) {
    fill: hsl(var(--complementarycolors), 50%, 40%);
}

.block2 rect:nth-child(3) {
    fill: hsl(var(--complementarycolors), 50%, 50%);
}

.block2 {
    stroke: hsl(var(--complementarycolors), 50%, 30%);
}

.heroToolip {
    position: absolute;
    z-index: 15;
    width: 12rem;
    display: flex;
    justify-content: center;
    line-height: 2;
    transition: 0.3s all ease;
    color: var(--main-bg);
    font-weight: 700;
    font-size: 1.8rem;
}

.heroToolip svg {
    position: absolute;
    z-index: -1;
    width: 140%;
}

.heroToolip svg path {
    fill: var(--font-dark);
    stroke: var(--font-dark);
    transition: 0.3s all ease;
}

.secondBoxParent .heroToolip {
    top: 15%;
    left: 80%;
}

.firstBoxParent .heroToolip {
    top: 15%;
    left: -30%;
    line-height: 3;
}

/******************
***** testimonials **********
************/

.testimonials {
    padding: 15rem 0 5rem;
    /* background: #edebed; */
    position: relative;
    z-index: 1;
    margin-top: -17rem;
}

.testimonialsParent {
    display: flex;
    align-items: center;
    gap: 4rem;
    position: relative;
}

.realSwiper {
    position: relative;
    overflow: hidden;
    width: 100%;
    margin-left: 3rem;
    padding-right: 3rem;
}

.testimonial {
    border: 2px dashed var(--font-light);
    display: flex;
    flex-direction: column;
    padding: 5rem 3rem;
    max-width: 37rem;
    position: relative;
    height: 100%;
    justify-content: space-between;
}

.testimonial::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: var(--main-color);
    width: 1.5rem;
    aspect-ratio: 1/1;
}

.rightNumber {
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translate(75%, -50%);
    z-index: 1;
}

.bottomDegree {
    position: absolute;
    bottom: -0.5rem;
    left: -0.5rem;
    z-index: 1;
}

.testimonial p {
    color: var(--font-light);
    max-height: 10rem;
    overflow: auto;
    font-size: 1.6rem;
}

.testimonial p::-webkit-scrollbar {
    display: none;
}

.studentNameTestimonial {
    margin-top: 2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.studentNameTestimonial h3 {
    font-size: 2.4rem;
    font-weight: 700;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 100%;
}

.studentNameTestimonial span {
    font-size: 2.4rem;
    font-weight: 700;
    color: #36b2e8;
}

.userImg {
    width: 5rem;
    height: 5rem;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    transform: translate(50%, -50%);
}

.userImg img {
    border-radius: 1rem;
    height: 100%;
}

.quote {
    width: 5rem;
    position: absolute;
}

.topQuote {
    top: 0;
    left: 0;
    transform: translate(50%, -40%);
}

.bottomQuote {
    bottom: 0;
    right: 0;
    transform: translate(-50%, 40%) rotate(180deg);
}

/*********************************
************ subjects *****************
*************************************/

.subjects {
    padding: 7rem 0;
    background: #f9f6ff;
    margin: 5rem 2.5rem;
    transition: 0.3s all ease;
    border-radius: 1.6rem;
}

.dark .subjects {
    background: var(--second-bg);
}

.subjectsSectionHeader {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    margin-bottom: 5rem;
    flex-direction: column;
    text-align: center;
}

.subjectSectionTitle {
    font-size: 4.2rem;
    font-family: "Cairo";
}

.subjectsSectionHeader p {
    font-size: 2.4rem;
    color: var(--font-light);
}

.subject {
    padding: 3rem 2rem;
    border-radius: 1.2rem;
    transition: 0.3s all ease;
    max-width: 40rem;
    margin: 0 auto;
    display: block;
}

.subject:hover {
    display: block;
}

.subject:hover {
    background: var(--main-bg);
}

.subjectImg {
    width: 15rem;
}

.subjectTitle {
    font-size: 3.8rem;
    font-weight: 900;
}

.subjectText {
    font-size: 2rem;
    color: var(--font-light);
    margin: 1.5rem 0;
}

.subjectBtn {
    position: relative;
    background: transparent;
    border: none;
    font-size: 2.4rem;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 1rem;
    color: var(--font-dark);
}

.subjectBtn::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0rem;
    transform: translate(-50%, -50%);
    width: 4rem;
    aspect-ratio: 1/1;
    background: #8895e463;
    z-index: 5;
    border-radius: 50%;
    transition: 0.3s all ease;
}

.subjectBtn span {
    display: flex;
    margin-top: 0.4rem;
}

/************************************
*********** latest lectures**********
*************************************/

.latestLectures {
    padding: 10rem 0 10rem;
    position: relative;
}

.homeTitle .title {
    font-size: 4rem;
    display: flex;
    flex-direction: column;
    line-height: 1.4;
    font-weight: 700;
    font-family: "Cairo";
    margin-bottom: 5rem;
}

.homeTitle .title span {
    font-size: 1.5em;
    position: relative;
    width: fit-content;
    z-index: 1;
}

.homeTitle .title span::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 105%;
    height: 60%;
    border: 2px dashed var(--font-dark);
    z-index: -2;
    opacity: 0.5;
}

.latestLectureTitle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    flex-wrap: wrap;
    margin-bottom: 5rem;
}

.allLecturesBtn {
    background: transparent;
    padding: 1.5rem 2.5rem;
    font-size: 1.6rem;
    color: var(--main-color);
    font-weight: 600;
    transition: 0.3s all ease;
    border-radius: 1rem;
    border: 2px solid var(--main-color);
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.allLecturesBtn:hover {
    color: #fff;
    background: var(--main-color);
}

.lectureTitle span:first-child {
    font-size: 5.2rem;
    font-weight: 700;
    position: relative;
    width: fit-content;
}

.lectureTitle span:last-child {
    font-size: 5.2rem;
    font-weight: 700;
    position: relative;
    width: fit-content;
}

.lectureTitle span:last-child:after {
    content: "";
    position: absolute;
    bottom: 5px;
    right: 0;
    width: 100%;
    height: 35px;
    background: rgba(54, 178, 232, 0.2);
    z-index: -1;
}

.cardsRow {
    justify-content: center;
}

.swiper-slide {
    height: auto;
}

.swiper-wrapper {
    padding: 2rem 0rem;
    overflow: visible !important;
    position: relative;
}

.testimonialsBtns {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    margin-top: 5rem;
    justify-content: end;
    gap: 2rem;
    margin-left: 5%;
}

.swiper-button-next:after,
.swiper-rtl .swiper-button-prev:after,
.swiper-button-prev:after,
.swiper-rtl .swiper-button-next:after {
    content: "";
}

.swiper-button-next,
.swiper-button-prev {
    color: var(--main-color);
    font-size: 2.8rem;
    position: static;
    transition: 0.3s all ease;
}

/* .dark .swiper-button-next,
.dark .swiper-button-prev {
    background: #17171d;
} */

.swiper-button-disabled {
    /* opacity: 0.5 !important; */
    color: #17171d;
}

@media (max-width: 1590px) {
    .semArrow {
        transform: translate(10%, 26%);
        width: 20rem;
    }
    /****** header ******/
    .personalBrnad h1 {
        font-size: 6.4rem;
    }
}

@media (max-width: 1490px) {
    .bigHeading {
        font-size: 6rem;
    }
    .type {
        font-size: 2.8rem;
    }
    .headerSubjects {
        font-size: 2.2rem;
    }
    /****** semester *******/
    .semester {
        width: 100%;
    }
}

/****** header ******/

@media (max-width: 1360px) {
    .teachName {
        font-size: 3rem;
    }
    .teachSub {
        font-size: 10rem;
    }
}

@media (max-width: 1120px) {
    .circleLogo {
        right: 50%;
        transform: translate(50%, 30%);
        width: 13rem;
    }
    .latestHead {
        padding: 2rem;
    }
    .leftArrow {
        width: 36rem;
    }
    .bigHeading {
        font-size: 5rem;
    }
    .type {
        font-size: 2.2rem;
    }
    .headerSubjects {
        font-size: 2rem;
    }
    .contactUs p {
        font-size: 1.8rem;
    }
    .headerIcons {
        font-size: 3.4rem;
    }
    .headerIcons {
        margin: 0 auto;
    }
    /****** semester *******/
    .tree {
        width: 100%;
        bottom: 0;
    }
}

@media (max-width: 991.5px) {
    .mobileHeroImg {
        display: flex;
        margin: 0 auto 4rem;
    }
    .firstBoxParent,
    .secondBoxParent {
        display: none;
    }
    .headerLeftSide {
        top: -60px;
    }
    /**** header ****/
    .headerRightSide {
        order: 2;
        margin-top: 0rem;
    }
    .personalContent {
        text-align: center !important;
    }
    .personalSub {
        margin: 0 auto;
    }
    .personalAbout {
        width: 60%;
        margin: 0 auto;
        order: 1;
    }
    .personal {
        width: 100%;
        margin-top: -100px;
    }
    .personalSub {
        text-align: center;
    }
    .headerContent {
        justify-content: center;
        width: 100%;
        align-items: center;
    }
    header {
        padding: 14rem 0 10rem;
    }
    .teachSub {
        font-size: 8rem;
    }
    .teachName {
        font-size: 2.4rem;
    }
    .headerIcons {
        font-size: 2.8rem;
    }
    .headerMainBg {
        width: 50%;
        min-width: 30rem;
        margin: 0 auto;
    }
    .leftLayer {
        bottom: 0;
        top: auto;
    }
    .rightLayer {
        top: auto;
        bottom: 0;
    }
    .triangles {
        display: none;
    }
    .headerSvg {
        display: none;
    }
    .customeSquareLine::after {
        right: 0;
        width: 100vw;
        height: 65%;
        top: 35%;
    }
    .headerRightSide {
        position: relative;
        padding: 0;
        /* left: 15px; */
    }
    .bigHeading {
        margin: 0 auto;
        /* background: #fff; */
        text-align: right;
        padding: 13rem 2rem;
        /* clip-path: polygon(0 0, 100% 25%, 100% 75%, 0% 100%); */
    }
    .headerImage img {
        height: 100%;
        object-position: center;
    }
    .rightMedia {
        max-width: 35rem;
        width: 100%;
    }
    .middleImg {
        max-width: 37rem;
    }
    .topRightImg,
    .rightBottomImg,
    .leftMedia {
        display: none;
    }
    .mobileImage {
        display: block;
    }
    /***** testimonial ****/
    .testimonials .row {
        background-position: center;
    }
    .testimonialsParent {
        flex-direction: column;
    }
    .title {
        text-align: center;
        align-items: center;
    }
    .latestLectureTitle {
        flex-direction: column;
    }
    .realSwiper {
        width: 100%;
    }
    .testimonials {
        padding: 10rem 0;
        margin-top: 0;
    }
    .edge {
        min-width: 213rem;
    }
    .testimonial {
        margin: 0 auto;
    }
}

@media (max-width: 767px) {
    /**  header **/
    .personalAbout {
        width: 75%;
        margin: 0 auto;
        order: 1;
    }
    .personal {
        width: 100%;
        padding: 0 2rem;
    }
    .personalBrnad h1 {
        font-size: 3.8rem;
    }
    .personal p {
        font-size: 1.8rem;
    }
    /****** semester *******/
    .semester {
        width: 100%;
    }
    /**** latest lectures ****/
    .latestHead {
        font-size: 2.8rem;
    }
    .shape2,
    .shape1 {
        width: 10rem;
    }
    .middleTitle {
        font-size: 10.2rem;
    }
}

@media (max-width: 550px) {
    html {
        font-size: 55% !important;
    }
    .heroActions {
        justify-content: center;
    }
    .personal p {
        text-align: center;
    }
    .latestLectureTitle {
        flex-direction: column;
        justify-content: center;
    }
    /**  header **/
    .mobileImage {
        max-width: 27rem;
        margin: 0 auto;
    }
    .personalAbout {
        width: 85%;
        margin: 0 auto;
        order: 1;
    }
    .personalBrnad h1 {
        font-size: 4.6rem;
    }
    html:lang(en) .personalBrnad h1 {
        font-size: 2.5rem;
    }
    .personal p {
        font-size: 1.7rem;
    }
    html:lang(en) .personal p {
        font-size: 1.5rem;
    }
    /****** semester *******/
    .semester {
        width: 100%;
    }
    .semArrow {
        transform: translate(10%, 45%);
        width: 18rem;
    }
}

@media (max-width: 460px) {
    .personalAbout {
        width: 100%;
    }
    .headerImage img {
        width: 100%;
    }
    .bigHeading {
        font-size: 4.4rem;
    }
    .headerSubjects {
        font-size: 1.8rem;
    }
    .personalBrnad h1 {
        
        font-size: 2.8rem;
    }
    .personal p {
        font-size: 1.6rem;
    }
    /****** semester *******/
    .semester {
        width: 100%;
    }
    .semesterCount span:first-of-type {
        font-size: 3.2rem;
    }
    .semesterName {
        font-size: 2.6rem;
    }
    .semester span:last-of-type {
        font-size: inherit;
    }
    .semesterImg {
        width: 9rem;
        height: 9rem;
    }
}

@media (max-width: 1420px) {
    .main {
        overflow: visible !important;
    }
}

/**********************************
*********** header boxs***********
**********************************/

@media (max-width: 1430px) {
    .subjectBox {
        width: 100%;
    }
}

@media (max-width: 1340px) {
    .subjectHeading {
        font-size: 2rem;
    }
}

@media (max-width: 1200px) {
    .subjectBox {
        width: 80%;
    }
    .personalBrnad h1 {
        margin-top: 50px;

        font-size: 5.2rem;
    }
    .personal p {
        font-size: 2rem;
    }
    .heroDetails {
        display: none;
    }
}

@media (max-width: 767px) {
    .headerIcons {
        display: none;
    }
    .personalContent {
        max-width: 100%;
    }
    .personal p {
        font-size: 1.6rem;
    }
    .personalBrnad h1 {
        margin-top: 100px;
        font-size: 4.2rem;
    }
    html {
        font-size: 50%;
    }
 
    .latestLectures {
        padding: 9rem 0;
    }
    .rightLayer {
        display: none;
    }
    .leftLayer {
        display: none;
    }
    .subjectBox {
        width: 95%;
    }
    .mobileLayer {
        display: block;
    }
    .headerContentCol {
        position: absolute;
        bottom: 0;
        z-index: 9;
    }
}

@media (max-width: 575px) {
    .subjectBox {
        width: 70%;
    }
    .latestHead h2 {
        align-items: center;
    }
    .latestHead {
        flex-direction: column;
    }
    .allHead {
        display: none;
    }
    .leftArrow {
        display: none;
    }
}

/**********************************
*********** testimonial boxs***********
**********************************/

@media (max-width: 1430px) {
    .testiHeading {
        font-size: 4.6rem;
    }
    .leftHeading {
        font-size: 4.6rem;
    }
    .testiText {
        font-size: 2.4rem;
        width: 80%;
    }
}

@media (max-width: 1300px) {
    .testiHeading {
        font-size: 4rem;
    }
    .leftHeading {
        font-size: 4rem;
    }
}

@media (max-width: 1199px) {
    .mounPic {
        display: none;
    }
    .leftTesti {
        padding: 0;
    }
    .testiHeading {
        font-size: 3.6rem;
    }
    .leftHeading {
        font-size: 3.6rem;
    }
    .testiText {
        font-size: 2rem;
    }
}

@media (max-width: 900px) {
    .testimonials .row {
        padding: 15rem 6rem 20rem;
    }
    .testiBoxs {
        width: 95%;
    }
    .testiText {
        width: 100%;
    }
}

@media (max-width: 767px) {
    .testimonials .row {
        padding: 7rem 6rem 20rem;
    }
    .testiHeading {
        align-items: center;
        text-align: center;
        font-size: 4.6rem;
    }
    .leftTesti {
        display: none;
    }
    .testiHeading .underLine {
        margin-left: auto;
        margin-right: auto;
    }
    .cards .main {
        padding: 0 8rem !important;
    }
}

@media (max-width: 700px) {
    .testiBoxs {
        width: 70%;
        margin-left: auto;
        margin-right: auto;
    }
}

@media (max-width: 550px) {
    .testiHeading {
        font-size: 3.8rem;
    }
    .testiBoxs {
        width: 90%;
    }
    .cards .main {
        padding: 0 2rem !important;
    }
    .latestHead h2 {
        text-align: center;
        font-size: 3.2rem;
    }
}

@media (max-width: 450px) {
    .cards .main {
        padding: 0 0.5rem !important;
    }
}